Gecode::Iter::Values::ValueListIter Class Reference

Iterator over value lists. More...

`#include <values-list.hpp>`

## Classes

class | ValueList
| Value list class. More...
class | VLIO
| Shared object for allocation. More...

## Protected Member Functions

void | set (ValueList *l)
| Set value lists.

## Protected Attributes

VLIO * | vlio
| Reference to shared object.
ValueList * | h
| Head of value list.
ValueList * | c
| Current list element.

## Constructors and initialization

| ValueListIter (void)
| Default constructor.
| ValueListIter (const ValueListIter &i)
| Copy constructor.
| ValueListIter (Region &r)
| Initialize.
void | init (Region &r)
| Initialize.
ValueListIter & | operator= (const ValueListIter &i)
| Assignment operator (both iterators must be allocated from the same region).

## Iteration control

bool | operator() (void) const
| Test whether iterator is still at a value or done.
void | operator++ (void)
| Move iterator to next value (if possible).
void | reset (void)
| Reset iterator to start.

## Value access

int | val (void) const
| Return value.
| ~ValueListIter (void)
| Destructor.

## Detailed Description

Iterator over value lists.

Definition at line 41 of file values-list.hpp.

## Constructor & Destructor Documentation

## ValueListIter() [1/3]

Gecode::Iter::Values::ValueListIter::ValueListIter | ( | void |  | ) |

inline

Default constructor.

Definition at line 109 of file values-list.hpp.

## ValueListIter() [2/3]

Gecode::Iter::Values::ValueListIter::ValueListIter | ( | const ValueListIter & | i | ) |

inline

Copy constructor.

Definition at line 124 of file values-list.hpp.

## ValueListIter() [3/3]

Gecode::Iter::Values::ValueListIter::ValueListIter | ( | Region & | r | ) |

inline

Initialize.

Definition at line 113 of file values-list.hpp.

## ~ValueListIter()

Gecode::Iter::Values::ValueListIter::~ValueListIter | ( | void |  | ) |

inline

Destructor.

Definition at line 145 of file values-list.hpp.

## Member Function Documentation

## set()

void Gecode::Iter::Values::ValueListIter::set | ( | ValueList * | l | ) |

inline protected

Set value lists.

Definition at line 155 of file values-list.hpp.

## init()

void Gecode::Iter::Values::ValueListIter::init | ( | Region & | r | ) |

inline

Initialize.

Definition at line 118 of file values-list.hpp.

## operator=()

ValueListIter & Gecode::Iter::Values::ValueListIter::operator= | ( | const ValueListIter & | i | ) |

inline

Assignment operator (both iterators must be allocated from the same region).

Definition at line 130 of file values-list.hpp.

## operator()()

bool Gecode::Iter::Values::ValueListIter::operator() | ( | void |  | ) | const

inline

Test whether iterator is still at a value or done.

Definition at line 160 of file values-list.hpp.

## operator++()

void Gecode::Iter::Values::ValueListIter::operator++ | ( | void |  | ) |

inline

Move iterator to next value (if possible).

Definition at line 165 of file values-list.hpp.

## reset()

void Gecode::Iter::Values::ValueListIter::reset | ( | void |  | ) |

inline

Reset iterator to start.

Definition at line 170 of file values-list.hpp.

## val()

int Gecode::Iter::Values::ValueListIter::val | ( | void |  | ) | const

inline

Return value.

Definition at line 175 of file values-list.hpp.

## Member Data Documentation

## vlio

VLIO* Gecode::Iter::Values::ValueListIter::vlio

protected

Reference to shared object.

Definition at line 60 of file values-list.hpp.

## h

ValueList* Gecode::Iter::Values::ValueListIter::h

protected

Head of value list.

Definition at line 62 of file values-list.hpp.

## c

ValueList* Gecode::Iter::Values::ValueListIter::c

protected

Current list element.

Definition at line 64 of file values-list.hpp.

The documentation for this class was generated from the following file:

- gecode/iter/values-list.hpp